import java.sql.*;

public class BatchTest {

	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5432/jurka","jurka","");
		conn.setAutoCommit(false);
		Statement stmt = conn.createStatement();
		stmt.execute("CREATE TEMP TABLE t (a int primary key)");

		PreparedStatement ps = conn.prepareStatement("INSERT INTO t VALUES (?)");
		ps.setInt(1,1);
		ps.addBatch();
		ps.setInt(1,2);
		ps.addBatch();
		ps.executeBatch();
		ps.setInt(1,3);
		ps.addBatch();
		ps.executeBatch();
		ps.close();

		ResultSet rs = stmt.executeQuery("SELECT a FROM t");
		while (rs.next()) {
			System.out.println(rs.getInt(1));
		}
	}
}
